Update 0.5 to 1.0 - some minor bugs so I have some questions - Virtualbox, Nginx, OMV-Extra and WebGUI

    • Resolved
    • Upgrade 0.5 -> 1.0
    • Update 0.5 to 1.0 - some minor bugs so I have some questions - Virtualbox, Nginx, OMV-Extra and WebGUI

      Hi geeks!

      When I did the update to 0.5 to 1.0 OMV. The only errors I had are VirtualBox (which I do not understand why he un-installed the package) and there was an error nginx I have not had time to see since the update c 'is completed.

      This part leaves me very confused because Nginx I know nothing, except that it's supposed to replace apache and when I try the [omv-mkconf nginx] it says "script not found" (or some thing like that).

      VirtualBox, I try somehow to install a new but it bug. I try Purge but it bug, I try to recreate the dependencies [apt-get -f install] puts all that's missing to run VBOX but it still bug. That's the least of my worries.

      What makes me most confused is when I am under the OMV webGUI, I always 0.5.60 (Sardaukar) .. is this normal? Surely not!


      Thank you enlighten my little lantherne :)
      NeurOSick
      Hardware ASRock N68C-GS, AMD FX-4100 8GB RAM
      OMV3 Distro + OMV-Extra + Docker + OpenVPN = Unlimited possibilities!

    • When a package has a problem while running omv-release-uograde it blocks the upgrade to 1.0.

      So, run omv-release-upgrade and post the whole error here, without it we can't help you.

      Greetings
      David
      "Well... lately this forum has become support for everything except omv" [...] "And is like someone is banning Google from their browsers"

      Only two things are infinite, the universe and human stupidity, and I'm not sure about the former.


      Upload Logfile via WebGUI/CLI
      #openmediavault on freenode IRC | German & English | GMT+1
      Absolutely no Support via PM!

      I host parts of the omv-extras.org Repository, the OpenMediaVault Live Demo and the pre-built PXE Images. If you want you can take part and help covering the costs by having a look at my profile page.
    • ok now I try to re-update.. but when I make sure I'm running the latest OMV 0.5 Version by running this command :

      apt-get update && apt-get dist-upgrade && omv-update

      (I try to traduct in english)
      It will return to me need dependency (all is related to virtualbox4.3 libpython 2.6/network/opengl/gui4)), run apt-get -f install
      after that : Running VM's found Virtualbox is currently running, please close it and try again.

      After that, I try to stop all vbox service manuelly in /etc/init.d... nothing.. after that I try to remove purge etc.. virtualbox but is showing me the same message each time.

      Now I dont know what I need to do.... please help! :)
      NeurOSick
      Hardware ASRock N68C-GS, AMD FX-4100 8GB RAM
      OMV3 Distro + OMV-Extra + Docker + OpenVPN = Unlimited possibilities!

    • Do you mind if I assist you via Teamviewer?

      Greetings
      David
      "Well... lately this forum has become support for everything except omv" [...] "And is like someone is banning Google from their browsers"

      Only two things are infinite, the universe and human stupidity, and I'm not sure about the former.


      Upload Logfile via WebGUI/CLI
      #openmediavault on freenode IRC | German & English | GMT+1
      Absolutely no Support via PM!

      I host parts of the omv-extras.org Repository, the OpenMediaVault Live Demo and the pre-built PXE Images. If you want you can take part and help covering the costs by having a look at my profile page.
    • NeurOSick wrote:

      But do you think the update via putty?


      Huh? Don't understand what you ask... but if you ask if we will be able to update via PuTTY, I think we can do that.

      Greetings
      David
      "Well... lately this forum has become support for everything except omv" [...] "And is like someone is banning Google from their browsers"

      Only two things are infinite, the universe and human stupidity, and I'm not sure about the former.


      Upload Logfile via WebGUI/CLI
      #openmediavault on freenode IRC | German & English | GMT+1
      Absolutely no Support via PM!

      I host parts of the omv-extras.org Repository, the OpenMediaVault Live Demo and the pre-built PXE Images. If you want you can take part and help covering the costs by having a look at my profile page.
    • You still shopping?

      Greetings
      David
      "Well... lately this forum has become support for everything except omv" [...] "And is like someone is banning Google from their browsers"

      Only two things are infinite, the universe and human stupidity, and I'm not sure about the former.


      Upload Logfile via WebGUI/CLI
      #openmediavault on freenode IRC | German & English | GMT+1
      Absolutely no Support via PM!

      I host parts of the omv-extras.org Repository, the OpenMediaVault Live Demo and the pre-built PXE Images. If you want you can take part and help covering the costs by having a look at my profile page.
    • after attempting the update, I always this message by "Mail Delivery Subsystem"

      CRON-APT RUN [/etc/cron-apt/config]: Mon Oct 13 07:35:03 EDT 2014
      CRON-APT SLEEP: 1274, Mon Oct 13 07:56:17 EDT 2014
      CRON-APT ACTION: 3-download
      CRON-APT LINE: /usr/bin/apt-get -o quiet=1 dist-upgrade -d -y -o APT::Get::Show-Upgraded=true
      Reading package lists...
      Building dependency tree...
      Reading state information...
      You might want to run 'apt-get -f install' to correct these.
      The following packages have unmet dependencies:
      virtualbox-4.3 : Depends: libpython2.6 (>= 2.6) but it is not installed
      E: Unmet dependencies. Try using -f.

      NeurOSick
      Hardware ASRock N68C-GS, AMD FX-4100 8GB RAM
      OMV3 Distro + OMV-Extra + Docker + OpenVPN = Unlimited possibilities!

    • Send me your Teamviewer Credentials via Conversation/PM. ;)

      Greetings
      David
      "Well... lately this forum has become support for everything except omv" [...] "And is like someone is banning Google from their browsers"

      Only two things are infinite, the universe and human stupidity, and I'm not sure about the former.


      Upload Logfile via WebGUI/CLI
      #openmediavault on freenode IRC | German & English | GMT+1
      Absolutely no Support via PM!

      I host parts of the omv-extras.org Repository, the OpenMediaVault Live Demo and the pre-built PXE Images. If you want you can take part and help covering the costs by having a look at my profile page.
    • not totaly resolved

      I try to uninstall sickbeard plugins and dpkg return a fail error again..
      After I look on the update section via webUI and when I try to update all libs suggested it show me this message

      Source Code

      1. ​Reading package lists...
      2. Building dependency tree...
      3. Reading state information...
      4. Suggested packages:
      5. nas qt4-qtconfig
      6. The following packages will be REMOVED:
      7. virtualbox-4.3
      8. The following NEW packages will be installed:
      9. libaudio2 libmng1 libqt4-network libqt4-opengl libqtgui4 libtiff4
      10. 0 upgraded, 6 newly installed, 1 to remove and 0 not upgraded.
      11. Need to get 0 B/5476 kB of archives.
      12. After this operation, 141 MB disk space will be freed.
      13. WARNING: The following packages cannot be authenticated!
      14. libaudio2 libmng1 libqt4-network libtiff4 libqtgui4 libqt4-opengl
      15. Authentication warning overridden.
      16. (Reading database ... 68876 files and directories currently installed.)
      17. Removing virtualbox-4.3 ...
      18. dpkg: error processing virtualbox-4.3 (--remove):
      19. subprocess installed pre-removal script returned error exit status 1
      20. Errors were encountered while processing:
      21. virtualbox-4.3
      Display All


      virtualbox again.. any idea?
      NeurOSick
      Hardware ASRock N68C-GS, AMD FX-4100 8GB RAM
      OMV3 Distro + OMV-Extra + Docker + OpenVPN = Unlimited possibilities!

    • no, the problem is more big,

      When I install a plugin the system remove auomaticaly all this vbox4.3 + lib's above mentioned.

      When I try to uninstall the plugins the system show me this (a test with snapraid plugin but it does so with all) :

      Brainfuck Source Code

      1. ​Reading package lists...
      2. Building dependency tree...
      3. Reading state information...
      4. The following packages will be REMOVED:
      5. libaudio2* libmng1* libqt4-network* libqt4-opengl* libqtgui4* libtiff4*
      6. openmediavault-snapraid* snapraid* virtualbox-4.3*
      7. 0 upgraded, 0 newly installed, 9 to remove and 0 not upgraded.
      8. After this operation, 176 MB disk space will be freed.
      9. (Reading database ... 68983 files and directories currently installed.)
      10. Removing virtualbox-4.3 ...
      11. debconf: unable to initialize frontend: Dialog
      12. debconf: (TERM is not set, so the dialog frontend is not usable.)
      13. debconf: falling back to frontend: Readline
      14. debconf: unable to initialize frontend: Readline
      15. debconf: (This frontend requires a controlling tty.)
      16. debconf: falling back to frontend: Teletype
      17. Configuring virtualbox-4.3
      18. --------------------------
      19. Running VMs found
      20. VirtualBox is currently running. Please close it and try again. Please note that
      21. it can take up to ten seconds for VirtualBox (in particular the VBoxSVC daemon)
      22. to finish running.
      23. dpkg: error processing virtualbox-4.3 (--purge):
      24. subprocess installed pre-removal script returned error exit status 1
      25. Removing openmediavault-snapraid ...
      26. Purging configuration files for openmediavault-snapraid ...
      27. Removing snapraid ...
      28. dpkg: libqtgui4:amd64: dependency problems, but removing anyway as you requested:
      29. libqt4-opengl:amd64 depends on libqtgui4 (= 4:4.8.2+dfsg-11).
      30. virtualbox-4.3 depends on libqtgui4 (>= 4:4.8.0).
      31. Removing libqtgui4:amd64 ...
      32. Purging configuration files for libqtgui4:amd64 ...
      33. Removing libaudio2:amd64 ...
      34. Removing libmng1:amd64 ...
      35. Purging configuration files for libmng1:amd64 ...
      36. dpkg: libqt4-network:amd64: dependency problems, but removing anyway as you requested:
      37. virtualbox-4.3 depends on libqt4-network (>= 4:4.5.3).
      38. Removing libqt4-network:amd64 ...
      39. Purging configuration files for libqt4-network:amd64 ...
      40. Removing libtiff4:amd64 ...
      41. Purging configuration files for libtiff4:amd64 ...
      42. dpkg: libqt4-opengl:amd64: dependency problems, but removing anyway as you requested:
      43. virtualbox-4.3 depends on libqt4-opengl (>= 4:4.7.2); however:
      44. Package libqt4-opengl:amd64 is to be removed.
      45. Removing libqt4-opengl:amd64 ...
      46. Purging configuration files for libqt4-opengl:amd64 ...
      47. Processing triggers for openmediavault ...
      48. Restarting engine daemon ...
      49. Errors were encountered while processing:
      50. virtualbox-4.3
      Display All


      If I do apt-get autoremove he does not want to remove them. Because it tells me that a process is still running vbox. Then he removes all the libs. This causes me a lot of errors. Then I have to restart apt-get -f install and that it fixes all the problems .. but then .. as soon as I try to do anything that is .. he told me to launch autoremove. I'm going crazy with this update. Davidh2k already gave me a hand and fixed bugs along the way, but without him I'll never made it there. Still I find myself with the same bugs at the beginning.

      regard's
      NeurOSick
      Hardware ASRock N68C-GS, AMD FX-4100 8GB RAM
      OMV3 Distro + OMV-Extra + Docker + OpenVPN = Unlimited possibilities!

    • NeurOSick, stop virtualbox service, uninstall it (openmediavault-virtualbox), then try to install the plugin you want to and after that reinstall virtualbox.

      Greetings
      David
      "Well... lately this forum has become support for everything except omv" [...] "And is like someone is banning Google from their browsers"

      Only two things are infinite, the universe and human stupidity, and I'm not sure about the former.


      Upload Logfile via WebGUI/CLI
      #openmediavault on freenode IRC | German & English | GMT+1
      Absolutely no Support via PM!

      I host parts of the omv-extras.org Repository, the OpenMediaVault Live Demo and the pre-built PXE Images. If you want you can take part and help covering the costs by having a look at my profile page.
    • I try to stop all services related to vbox but when I try to uninstall virtualbox-4.3 I have always this message :

      Running VMs found

      VirtualBox is currently running. Please close it and try again. Please
      note that it can take up to ten seconds for VirtualBox (in particular
      the VBoxSVC daemon) to finish running.

      And another thing when I launch apt-get remove openmediavault-virtualbox I have something like that : The package openmediavault-virtualbox is not installed.


      And... Because this problem I am not even able to perform updates


      NeurOSick
      Hardware ASRock N68C-GS, AMD FX-4100 8GB RAM
      OMV3 Distro + OMV-Extra + Docker + OpenVPN = Unlimited possibilities!

      The post was edited 1 time, last by NeurOSick ().

    • ps aux | grep vbox

      Then:

      kill ID

      Greetings
      David
      "Well... lately this forum has become support for everything except omv" [...] "And is like someone is banning Google from their browsers"

      Only two things are infinite, the universe and human stupidity, and I'm not sure about the former.


      Upload Logfile via WebGUI/CLI
      #openmediavault on freenode IRC | German & English | GMT+1
      Absolutely no Support via PM!

      I host parts of the omv-extras.org Repository, the OpenMediaVault Live Demo and the pre-built PXE Images. If you want you can take part and help covering the costs by having a look at my profile page.